io.swagger.client.model

## Class RoleAssignmentList

- java.lang.Object
- - io.swagger.client.model.RoleAssignmentList

-     public class RoleAssignmentList
      extends Object

  RoleAssignmentList

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleAssignmentList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RoleAssignmentList` | `addRoleAssignmentsItem(RoleAssignment roleAssignmentsItem)`
    `boolean` | `equals(Object o)`
    `String` | `getNextLink()` Get nextLink
    `List<RoleAssignment>` | `getRoleAssignments()` Get roleAssignments
    `int` | `hashCode()`
    `RoleAssignmentList` | `nextLink(String nextLink)`
    `RoleAssignmentList` | `roleAssignments(List<RoleAssignment> roleAssignments)`
    `void` | `setNextLink(String nextLink)`
    `void` | `setRoleAssignments(List<RoleAssignment> roleAssignments)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleAssignmentList

          public RoleAssignmentList()

  - ### Method Detail

    - #### nextLink

          public RoleAssignmentList nextLink(String nextLink)

    - #### getNextLink

          public String getNextLink()

      Get nextLink
      Returns:
        nextLink

    - #### setNextLink

          public void setNextLink(String nextLink)

    - #### roleAssignments

          public RoleAssignmentList roleAssignments(List<RoleAssignment> roleAssignments)

    - #### addRoleAssignmentsItem

          public RoleAssignmentList addRoleAssignmentsItem(RoleAssignment roleAssignmentsItem)

    - #### getRoleAssignments

          public List<RoleAssignment> getRoleAssignments()

      Get roleAssignments
      Returns:
        roleAssignments

    - #### setRoleAssignments

          public void setRoleAssignments(List<RoleAssignment> roleAssignments)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.